FROM node:16-alpine

RUN mkdir -p /home/node/app/node_modules 
##&& chown -R node:node /home/node/app


COPY ./frontend-react/. /home/node/app/.
WORKDIR /home/node/app
##RUN chown -R node:node
RUN ls -lisa
RUN npm install --legacy-peer-deps
RUN ls -lisa
RUN npm run build:prod
RUN ls -lisa static/frontend

##expose 8080
##CMD ["node","app.js"]

